Bug 1568444 - [abrt] Thunar: thunar_shortcuts_model_set_busy(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: thunar_shortcuts_model_set_busy(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:26c5c3a5ef6917bd26779d8cd71...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 14:09 UTC by Stan King
Modified: 2018-11-30 17:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:28:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.67 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: core_backtrace (9.91 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: dso_list (8.15 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: environ (1.92 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: maps (43.92 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: mountinfo (3.83 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: open_fds (3.31 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-17 14:09 UTC, Stan King
no flags Details

Description Stan King 2018-04-17 14:09:21 UTC
Description of problem:
unmounting an external USB drive

Version-Release number of selected component:
Thunar-1.6.15-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        Thunar --daemon
crash_function: thunar_shortcuts_model_set_busy
executable:     /usr/bin/thunar
journald_cursor: s=20a66e5cb99c4641b474ac797704cee5;i=999be;b=e645096a9ca943bf9f1959c3c0147110;m=1d58a4e14e;t=56a0bcd501107;x=84fea03f0590b706
kernel:         4.15.16-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 thunar_shortcuts_model_set_busy at thunar-shortcuts-model.c:2164
 #1 thunar_shortcuts_view_eject_finish at thunar-shortcuts-view.c:1885
 #2 thunar_device_operation_finish at thunar-device.c:275
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #4 ??

Potential duplicate: bug 915430

Comment 1 Stan King 2018-04-17 14:09:26 UTC
Created attachment 1423051 [details]
File: backtrace

Comment 2 Stan King 2018-04-17 14:09:27 UTC
Created attachment 1423052 [details]
File: cgroup

Comment 3 Stan King 2018-04-17 14:09:29 UTC
Created attachment 1423053 [details]
File: core_backtrace

Comment 4 Stan King 2018-04-17 14:09:30 UTC
Created attachment 1423054 [details]
File: cpuinfo

Comment 5 Stan King 2018-04-17 14:09:31 UTC
Created attachment 1423055 [details]
File: dso_list

Comment 6 Stan King 2018-04-17 14:09:33 UTC
Created attachment 1423056 [details]
File: environ

Comment 7 Stan King 2018-04-17 14:09:34 UTC
Created attachment 1423057 [details]
File: exploitable

Comment 8 Stan King 2018-04-17 14:09:35 UTC
Created attachment 1423058 [details]
File: limits

Comment 9 Stan King 2018-04-17 14:09:37 UTC
Created attachment 1423059 [details]
File: maps

Comment 10 Stan King 2018-04-17 14:09:38 UTC
Created attachment 1423060 [details]
File: mountinfo

Comment 11 Stan King 2018-04-17 14:09:39 UTC
Created attachment 1423061 [details]
File: open_fds

Comment 12 Stan King 2018-04-17 14:09:40 UTC
Created attachment 1423062 [details]
File: proc_pid_status

Comment 13 Stan King 2018-04-17 14:12:58 UTC
By the way, the automated abort processing said it might be a duplicate of RHBZ #915430, but it had difficulty processing that.

Comment 14 Mukundan Ragavan 2018-04-18 02:09:42 UTC
Thanks for the report. I will see if I can reproduce this.

Has the "unmounting USB" event causes any visible crashes other than this ABRT detection?

Comment 15 Stan King 2018-04-21 23:36:17 UTC
I can't recall much of a problem when this happened.  It seemed easy to carry on working afterward.  By the way, it doesn't happen every time.

Comment 16 jamie 2018-04-22 17:53:19 UTC
Similar problem has been detected:

I did not submit this bug right away so I can't remember why it crashed. 

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        Thunar --daemon
crash_function: thunar_shortcuts_model_set_busy
executable:     /usr/bin/thunar
journald_cursor: s=6314b9f6d2a7479e994c32b6f9889715;i=6bd94;b=c7722d630ffc4270b22372dfd1e73436;m=883c7351;t=569bc852e64c4;x=95944336306b4f19
kernel:         4.15.14-300.fc27.x86_64
package:        Thunar-1.6.14-1.fc27
reason:         thunar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Ben Cotton 2018-11-27 16:04:24 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2018-11-30 17:28:50 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.